phone.checkGroupCall
Check which of the specified source IDs the server still recognizes as joined to a group call. This method can be used with all group call types, see here » for more info. After joining the main connection with phone.RawJoinGroupCallRequest, pass its non-zero SSRC/source ID to this method periodically. If a presentation connection is also active, include the separate source registered using phone.RawJoinGroupCallPresentationRequest. The method returns the subset of the supplied sources that are still joined. A missing source means that the corresponding connection must be recreated and joined again; it does not indicate whether media packets are currently flowing. If the method returns GROUPCALL_JOIN_MISSING, the main connection must be rejoined.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Check which of the specified source IDs the server still recognizes as joined to a group call. This method can be used with all group call types, see here » for more info. After joining the main connection with phone.RawJoinGroupCallRequest, pass its non-zero SSRC/source ID to this method periodically. If a presentation connection is also active, include the separate source registered using phone.RawJoinGroupCallPresentationRequest. The method returns the subset of the supplied sources that are still joined. A missing source means that the corresponding connection must be recreated and joined again; it does not indicate whether media packets are currently flowing. If the method returns GROUPCALL_JOIN_MISSING, the main connection must be rejoined.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.checkGroupCall" \ -H "Content-Type: application/json" \ -d '{ "params": { "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" }, "sources": [ 0 ] } }'{ "result": 0}acceptCall
Accept incoming call, see [here »](https://core.telegram.org/api/calls#one-to-one-calls) for more info on the full flow.
confirmCall
[Complete phone call E2E encryption key exchange »](https://core.telegram.org/api/end-to-end/voice-calls), see [here »](https://core.telegram.org/api/calls#one-to-one-calls) for more info on the full flow.